GNU bug report logs - #50895
28.0.50; show-paren-mode is distracting in some modes

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Lars Ingebrigtsen <larsi@HIDDEN>; merged with #50894; dated Wed, 29 Sep 2021 17:26:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Severity set to 'wishlist' from 'normal' Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 1 Oct 2021 07:30:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 01 03:30:52 2021
Received: from localhost ([127.0.0.1]:54583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mWD0O-0004qZ-JK
	for submit <at> debbugs.gnu.org; Fri, 01 Oct 2021 03:30:52 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51022)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mWD0M-0004qK-P7
 for 50895 <at> debbugs.gnu.org; Fri, 01 Oct 2021 03:30:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=FbqR7TSjg+4tEJN7GvWfohGFdJowvjDQEx4noXm90Vw=; b=V3rBRJbWkqkGeHmmQycaaqhSKW
 cdRVySoGf6qH3GQFA6GKugylfiayKVLbBmJokdDObrn2/Fu3B9Xr9znjPHBLQjbfchpFqCZMxZhH2
 JQvOlj3qAGSHZbMDq4yNRwQxaFVSoTnSZemuvtAThVu4GJ5R2utWgOrNXCNCw9QSUBJA=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mWD0E-0006VO-50; Fri, 01 Oct 2021 09:30:44 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes
References: <87fstn8fak.fsf@HIDDEN>
 <1cf60c2c-7ecc-631b-22c3-6d779476aeeb@HIDDEN>
 <875yuj8dm8.fsf@HIDDEN>
 <7867800d-f770-0316-6659-7ff6f310cd57@HIDDEN>
 <87pmsq5zoj.fsf@HIDDEN>
 <b559b3b7-1821-8706-c892-477b4ecfb07d@HIDDEN>
 <877dey2ndr.fsf@HIDDEN>
 <7535661b-a9e8-d5f6-c156-bf39a394255b@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAAAXNSR0IArs4c6QAAAAlQTFRF
 0K6PNzEs////OZlX6wAAAAFiS0dEAmYLfGQAAAAJcEhZcwAACxIAAAsSAdLdfvwAAAAHdElNRQfl
 CgEGJjcHvwXMAAAASElEQVQoz2NgGCYgNBTBZgwNdYBzWENDA+Ac0dBQFyQtoa5YOYwgjgMuTihx
 nBAHJKNDkTmO2J3DGhoigvCCgyjCCyieG9oAACIWFVbu726BAAAAWmVYSWZNTQAqAAAACAAFARIA
 AwAAAAEAAQAAARoABQAAAAEAAABKARsABQAAAAEAAABSASgAAwAAAAEAAgAAAhMAAwAAAAEAAQAA
 AAAAAAAAAEgAAAABAAAASAAAAAEfUvc0AAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTEwLTAxVDA2
 OjM4OjU1KzAwOjAw4LNwDgAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0xMC0wMVQwNjozODo1NSsw
 MDowMJHuyLIAAAAXdEVYdGV4aWY6WUNiQ3JQb3NpdGlvbmluZwAxrA+AYwAAADh0RVh0aWNjOmNv
 cHlyaWdodABDb3B5cmlnaHQgKGMpIDE5OTggSGV3bGV0dC1QYWNrYXJkIENvbXBhbnn5V3k3AAAA
 IXRFWHRpY2M6ZGVzY3JpcHRpb24Ac1JHQiBJRUM2MTk2Ni0yLjFXrdpHAAAAJnRFWHRpY2M6bWFu
 dWZhY3R1cmVyAElFQyBodHRwOi8vd3d3LmllYy5jaBx/AEwAAAA3dEVYdGljYzptb2RlbABJRUMg
 NjE5NjYtMi4xIERlZmF1bHQgUkdCIGNvbG91ciBzcGFjZSAtIHNSR0JEU0ipAAAAAElFTkSuQmCC
X-Now-Playing: The Notwist's _Vertigo Dubs Vol. 1: Odd Nosdam_: "Ship (Odd
 Nosdam Remix)"
Date: Fri, 01 Oct 2021 09:30:39 +0200
In-Reply-To: <7535661b-a9e8-d5f6-c156-bf39a394255b@HIDDEN> (Dmitry Gutov's
 message of "Thu, 30 Sep 2021 20:00:41 +0300")
Message-ID: <875yuhw6ao.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Dmitry Gutov <dgutov@HIDDEN> writes: > Anyway, this is
 not a strong objection,
 and I might be convinced by a > particular implementation.
 We could even adopt this practice in more > places, if it really makes sense
 to people. > > At the [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50895
Cc: 50895 <at> debbugs.gnu.org, Jim Porter <jporterbugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dmitry Gutov <dgutov@HIDDEN> writes:

> Anyway, this is not a strong objection, and I might be convinced by a
> particular implementation. We could even adopt this practice in more
> places, if it really makes sense to people.
>
> At the moment, though, I'm more in favor of adding a *-global-modes
> variable, and then, having collected feedback, changing its default in
> some future version.

Yeah, I think we could do with some experimentation here (on the trunk,
not in Emacs 28), because it's not clear what range of options we have
here (not breaking anybody's setup + introduce a more expressive
selection mechanism).  *-global-modes is the mechanism that sounds most
promising now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 30 Sep 2021 17:03:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 30 13:03:15 2021
Received: from localhost ([127.0.0.1]:53866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVzSl-0008VP-Lv
	for submit <at> debbugs.gnu.org; Thu, 30 Sep 2021 13:03:15 -0400
Received: from mail-lf1-f49.google.com ([209.85.167.49]:39461)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mVzSj-0008V8-W0
 for 50895 <at> debbugs.gnu.org; Thu, 30 Sep 2021 13:03:14 -0400
Received: by mail-lf1-f49.google.com with SMTP id i25so28096430lfg.6
 for <50895 <at> debbugs.gnu.org>; Thu, 30 Sep 2021 10:03:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=/yV+k6RM10bFutzjYlmqVu2fQASwECU3gJQR+/hQmVQ=;
 b=Agq6BvwtYrbb8gEzhFp8MR8k3FKYyXofWEsja2L/PWZWoh1gvrfHhdQHUB33ce224h
 MQ7t/CjppYdvcHI98x57E5mlCHu4RhnvWRTvCIf9nXPaxPrTUY9K3aHf3JyXM/WoaD3K
 3jE3kbPaNcn5eukLJUbh7fkIbY650kyzSQhdfk5q4h9YKF6/LxpTL/VziC7Hb/n4cCZA
 LWcPCh1PaPsHoapfTBPJy70Oa0J2Im2/eTbPnTd6UmdwNZioky1vLvJ+tMt8a5cviNhm
 DxxxhE5SFGC8jkQueQT/VmEa0HIoNnkixCydSBAgxSlnIKXkqpwrz/PgFtUgDmLQeggu
 tCzg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=/yV+k6RM10bFutzjYlmqVu2fQASwECU3gJQR+/hQmVQ=;
 b=AwoTHvbm8SaBrDueaJ4nIIoqmjVz6q81fgntn71Vva9U8ZN0R+1X1UWccFOe1cc4YM
 8mx+4HANOYimOPjqjm9NfkRPqtaWVrwysfeqrwZa8pPC7Z5QDDJIqwHij8U1Src0eEZp
 kF246u2EffIxJ8YRRqbaatzrhKpzAQTgQDl8TwBEWUVaMnSEiJceMtDG8sqtgkztaomU
 sUy4scexszuLflne9V34E2PCIn/4PKkqH1OAvBilvZD/TBpLdCaCs/SLhbRmq6xki9G3
 6+vBD6LfeZf4e5QuS+/LljkrBBQB7tZMjWRx0FuJi+2lWry5OYipCS/trP6igs/n/ppa
 9tTw==
X-Gm-Message-State: AOAM530WGbDudUv5aQwV6JzFJ9Qu+mtZjnXHCmmNv2wJjiXQmqaD1KP/
 8AZ+/Igar98Qmekyw45F5xE=
X-Google-Smtp-Source: ABdhPJwNWDX2Sarhs0ju37OWJ2YKAvrI1IWxuiE90jh5uDWQO67Z2pD/+eQ4Y52nTCqhKXq77TB7rQ==
X-Received: by 2002:a05:6512:3087:: with SMTP id
 z7mr319680lfd.556.1633021387994; 
 Thu, 30 Sep 2021 10:03:07 -0700 (PDT)
Received: from [192.168.1.113] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id p8sm428897lft.242.2021.09.30.10.03.07
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 30 Sep 2021 10:03:07 -0700 (PDT)
Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes
To: Eli Zaretskii <eliz@HIDDEN>
References: <87fstn8fak.fsf@HIDDEN>
 <1cf60c2c-7ecc-631b-22c3-6d779476aeeb@HIDDEN> <875yuj8dm8.fsf@HIDDEN>
 <7867800d-f770-0316-6659-7ff6f310cd57@HIDDEN> <83h7e2h1wa.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <48e93d77-80bb-462e-2cc9-0468dea503c8@HIDDEN>
Date: Thu, 30 Sep 2021 20:03:06 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <83h7e2h1wa.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 30.09.2021 12:02, Eli Zaretskii wrote: > It > makes little
 sense to me to argue for a long time about a feature, > have a user poll
 about its turning on, then turn on some different > feature by de [...] 
 Content analysis details:   (1.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.252.127.239 listed in dnsbl.sorbs.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (dgutov[at]yandex.ru)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.49 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.49 listed in wl.mailspike.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 -0.1 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 50895
Cc: 50895 <at> debbugs.gnu.org, jporterbugs@HIDDEN, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

On 30.09.2021 12:02, Eli Zaretskii wrote:
> It
> makes little sense to me to argue for a long time about a feature,
> have a user poll about its turning on, then turn on some different
> feature by default.

I agree. And that's not what I suggested. I just described how "a new 
way of  enabling this more selectively" could be implemented.

> So I don't think we should change anything in this by default.  If
> someone really wants a way of enabling this more selectively, that's
> fine, but then this new behavior should not be the default, because
> that's not what we decided and not what we asked the users to provide
> the feedback about.

Yes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 30 Sep 2021 17:00:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 30 13:00:53 2021
Received: from localhost ([127.0.0.1]:53861 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVzQT-0008RV-8J
	for submit <at> debbugs.gnu.org; Thu, 30 Sep 2021 13:00:53 -0400
Received: from mail-lf1-f42.google.com ([209.85.167.42]:46830)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mVzQQ-0008RH-OQ
 for 50895 <at> debbugs.gnu.org; Thu, 30 Sep 2021 13:00:51 -0400
Received: by mail-lf1-f42.google.com with SMTP id z24so28175790lfu.13
 for <50895 <at> debbugs.gnu.org>; Thu, 30 Sep 2021 10:00:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=mpAVTxtapCbLTQBCChDBrTsR/qgn5ZDkWp8GAyn9o0s=;
 b=evJZT8pjRCAzTYGZ23JzPLX/06oXfmm7KMT8n4DwZa8VODMyL2g1UVXRtafJGc+iD4
 cay/fUytaWFcwD327LiON6TmDHGB/0qHcWEZFN6G8v6MmdLuoj2DGYaNAE4p0gyH66zA
 ziT+pGhDwbGz4Rk5ZXryHzZoJ7qX7iCh+RYLXVDuGptfl4rmV+OWGlufaIj6LWadgtcU
 jzuGsyqAYoreXlFjcRiZmw9eEgUkhbefSyLoHDRq5MzayGqtF93bQDcZTUQdueecOc+D
 ebicSi6q1DTqfaht1lryiKWQMYgH/AL84s7t0APiDbn1Dd8nNJtVHYbZl7k43OTeSCh+
 rXOQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=mpAVTxtapCbLTQBCChDBrTsR/qgn5ZDkWp8GAyn9o0s=;
 b=5YyAt6VFNb3L5j9bbC7xGl7phP9cz+GW9Z1gVTugX6rLloW8x3RQW+hWbsl4qCn5dT
 S05RvQenTRY6R6VDu2BxWdEzspBnFw1KbqSbIlWuVzyfZMdn5KF0FV1WdyVxtNns/9EA
 oJwjggvtwrW5gOJcyDUEESNF6aImIOpKaUa2hyBmxMV5/6rMOa7nY+V5fL+IJqJ1oHQc
 Aysda8Mt7IZMvA4RqAkrSpXekynoCBfadh75IuKR0wLxLSZ3NYvpgXMCUR5uDmPRyILX
 K1Q9k5ZJ6S9U0I0C6l/qJ95NkVn8JKR0aTtd6pF7MOxh0eRjg2coUSsrB/8eqiA5KO+7
 eZAg==
X-Gm-Message-State: AOAM530f+razjZJGbU2TbxkZ2FtTZXpMnAJQplTBTQq+IueR0Q9DAKOZ
 k/pzk/q4tXKtvlaPtCFXYW9PmONEty45kQ==
X-Google-Smtp-Source: ABdhPJxTs/8hnomJ28N/8rdHUjY6pCgsUxOcJMyc7KsQ8inUBDAZZuan55UYx55PmHnhl2bHjbzAyQ==
X-Received: by 2002:a19:7b08:: with SMTP id w8mr319379lfc.76.1633021243159;
 Thu, 30 Sep 2021 10:00:43 -0700 (PDT)
Received: from [192.168.1.113] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id s11sm393029ljc.80.2021.09.30.10.00.42
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 30 Sep 2021 10:00:42 -0700 (PDT)
Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87fstn8fak.fsf@HIDDEN>
 <1cf60c2c-7ecc-631b-22c3-6d779476aeeb@HIDDEN> <875yuj8dm8.fsf@HIDDEN>
 <7867800d-f770-0316-6659-7ff6f310cd57@HIDDEN> <87pmsq5zoj.fsf@HIDDEN>
 <b559b3b7-1821-8706-c892-477b4ecfb07d@HIDDEN> <877dey2ndr.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <7535661b-a9e8-d5f6-c156-bf39a394255b@HIDDEN>
Date: Thu, 30 Sep 2021 20:00:41 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <877dey2ndr.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 30.09.2021 16:39, Lars Ingebrigtsen wrote: > Dmitry Gutov
 writes: > >> The value of font-lock-global-modes affects how
 global-font-lock-mode
 works. > > Right. But we could make (show-paren-mode 1 [...] 
 Content analysis details:   (1.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.252.127.239 listed in dnsbl.sorbs.net]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (raaahh[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.42 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.42 listed in wl.mailspike.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 -0.1 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 50895
Cc: 50895 <at> debbugs.gnu.org, Jim Porter <jporterbugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

On 30.09.2021 16:39, Lars Ingebrigtsen wrote:
> Dmitry Gutov <dgutov@HIDDEN> writes:
> 
>> The value of font-lock-global-modes affects how global-font-lock-mode works.
> 
> Right.  But we could make (show-paren-mode 1) set the mooted
> show-paren-global-modes to t.  Since it's show-paren-mode is on by
> default, show-paren-global-modes would basically only be used by those
> people who's not explicitly saying (show-paren-mode 1).
> 
> And (show-paren-mode -1), for that matter.
> 
> So introducing a variable like that (with a default value of `(not
> special-mode)') should not affect people who are already explicitly
> switching the mode on or off.
> 
> Or am I missing something?

That should be doable, yes.

I just can't think of another mode that does something similar. So this 
kind of special behavior might catch people by surprise.

Anyway, this is not a strong objection, and I might be convinced by a 
particular implementation. We could even adopt this practice in more 
places, if it really makes sense to people.

At the moment, though, I'm more in favor of adding a *-global-modes 
variable, and then, having collected feedback, changing its default in 
some future version.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 30 Sep 2021 13:40:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 30 09:40:02 2021
Received: from localhost ([127.0.0.1]:51768 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVwI6-00083i-Ch
	for submit <at> debbugs.gnu.org; Thu, 30 Sep 2021 09:40:02 -0400
Received: from quimby.gnus.org ([95.216.78.240]:42046)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mVwI1-000831-08
 for 50895 <at> debbugs.gnu.org; Thu, 30 Sep 2021 09:40:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=wTRDqY+bhWXW8MpWaPWG2eJ+JDDbvHK8M/L+i7AZgLE=; b=Tae6mfC9Yb8Gjxq2rN7/MjUtCm
 iKa+6Ru2/PDVuuXj+X8iz+3CkairYkHiHUpMLUHmemsHYC8kNkwQL8PKn1iuSrv5xRSwG9EssddUV
 GV7Rh/5Efs8XMc2keNJCs5AOaXhfWJ7JtWUYNzXxlz5muQMTizWKfqexyKEb+XMGycdc=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mVwHq-0006Fa-W5; Thu, 30 Sep 2021 15:39:50 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes
References: <87fstn8fak.fsf@HIDDEN>
 <1cf60c2c-7ecc-631b-22c3-6d779476aeeb@HIDDEN>
 <875yuj8dm8.fsf@HIDDEN>
 <7867800d-f770-0316-6659-7ff6f310cd57@HIDDEN>
 <87pmsq5zoj.fsf@HIDDEN>
 <b559b3b7-1821-8706-c892-477b4ecfb07d@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEWXlWNpalDFzrf/
 //+6G1XXAAAAAWJLR0QDEQxM8gAAAAlwSFlzAAALEgAACxIB0t1+/AAAAAd0SU1FB+UJHgw4DVe/
 W24AAAEDSURBVCjPbdG9boQwDAfwfxCWKqYghb0duvAUQTqWm5wq3ts36XBT99tvaKWKp6zzBQw1
 QsoPJ8GJgRQGw6aBf0A4QOQPTCLzkTlDdQKmHQbUnwHs0xZd1eC8vg00ok0j3ZgbDIww27nCBu8r
 AJEVrqATrZOogCXHNcO5UWIDmV6PsA4F1jtaLgV9WBiMmmGS0Z+gZRc8SQy+og8SVkWXQDehA9+B
 XlCBaLSyBrH6f99gFFzxPn2INOhQM7ZgTadhh4Ikfr6VDRZ9IkpGQkxj1HJC4ApDd3E75GcwDXCv
 jrRqzPl6490feLPYga9PTA3b9sDku9yfdOEkyN3WL78oXdz+AJswgvt/SGGhAAAAWmVYSWZNTQAq
 AAAACAAFARIAAwAAAAEAAQAAARoABQAAAAEAAABKARsABQAAAAEAAABSASgAAwAAAAEAAgAAAhMA
 AwAAAAEAAQAAAAAAAAAAAEgAAAABAAAASAAAAAEfUvc0AAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIx
 LTA5LTMwVDEyOjU2OjEzKzAwOjAw6jVWUAAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0wOS0zMFQx
 Mjo1NjoxMyswMDowMJto7uwAAAAXdEVYdGV4aWY6WUNiQ3JQb3NpdGlvbmluZwAxrA+AYwAAAABJ
 RU5ErkJggg==
X-Now-Playing: Body =?utf-8?Q?Me=CF=80a's?= _The Work Is Slow_: "Money Tree"
Date: Thu, 30 Sep 2021 15:39:44 +0200
In-Reply-To: <b559b3b7-1821-8706-c892-477b4ecfb07d@HIDDEN> (Dmitry Gutov's
 message of "Thu, 30 Sep 2021 14:19:47 +0300")
Message-ID: <877dey2ndr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Dmitry Gutov <dgutov@HIDDEN> writes: > The value of
 font-lock-global-modes
 affects how global-font-lock-mode works. Right. But we could make
 (show-paren-mode
 1) set the mooted show-paren-global-modes to t. Since it's show-paren-mode
 is on by default, show-paren-global-modes would basically only be used by
 those peo [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50895
Cc: 50895 <at> debbugs.gnu.org, Jim Porter <jporterbugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dmitry Gutov <dgutov@HIDDEN> writes:

> The value of font-lock-global-modes affects how global-font-lock-mode works.

Right.  But we could make (show-paren-mode 1) set the mooted
show-paren-global-modes to t.  Since it's show-paren-mode is on by
default, show-paren-global-modes would basically only be used by those
people who's not explicitly saying (show-paren-mode 1).

And (show-paren-mode -1), for that matter.

So introducing a variable like that (with a default value of `(not
special-mode)') should not affect people who are already explicitly
switching the mode on or off.

Or am I missing something?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 30 Sep 2021 11:20:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 30 07:20:02 2021
Received: from localhost ([127.0.0.1]:51586 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVu6c-0002Ia-Am
	for submit <at> debbugs.gnu.org; Thu, 30 Sep 2021 07:20:02 -0400
Received: from mail-lf1-f47.google.com ([209.85.167.47]:33781)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mVu6a-0002I3-GG
 for 50895 <at> debbugs.gnu.org; Thu, 30 Sep 2021 07:20:01 -0400
Received: by mail-lf1-f47.google.com with SMTP id i19so20800535lfu.0
 for <50895 <at> debbugs.gnu.org>; Thu, 30 Sep 2021 04:20:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=9z+iYqWHeErczBjoK81ulPjdRXnNNZtCz6XXRhHRj4g=;
 b=R+tEUVjmJUhgZ6guccCI7VK8QCSzWLTDBe3cZuGAPUhdwBeMKUj3YbnxdFu1pc8dy8
 2iw2a3Cu2K0LSv1LdJUmNuX+5Y3D9+V1Ew8uwbR5U0vLncZsmBtsU1aFQhI5OZw6vgBi
 Os3U33y3PlPTDQMA8QAavjEsCREIy8R1Y554sCWHMrXxutVcgzZMDreO69cDjDWUVw87
 0U/gPw/UHoLcC99qOsI33vWeWcvBaNYkgLrrVZ5DPnucTXjSYbXArq6G8jtG+cdj3QpA
 UaUrRoEsHhqvOdpugY6wowl+pNthMSJV6JSYcSDqNi2CsjSU6wSD+49Dhfwg6mImAkuF
 2b7g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=9z+iYqWHeErczBjoK81ulPjdRXnNNZtCz6XXRhHRj4g=;
 b=J3rzxnm2hbb1DaTDgyAz5jMh/428cZgYwH7i//KEmgPOyFXx11rqZOovXaOuxgEJGC
 LgBSNWJc1cgo1pkipMhB8EWmD4UjGWyTQi+IIllqnDYvUBIXtLFQBHSmtU2NKlwfzqvg
 EHqespJVVTqflBmVdEhulWwMpajqfxj54166o9SLeAaen38BcxLFaIeAohtq7TSposA8
 sOD/W7z4R4jLPMdjMb8yyAj0SBtvJH5Db3P3i0BRfVtyHr1XMnWBozRM2BkOagXA73Wg
 APX1N8LbPDETyn69GHhb2mzxvBTLDSmv1GfqGDHCbKi+cjfKvrwMa67n6AMxwrYUmU4z
 qFLA==
X-Gm-Message-State: AOAM531EuNr5XL96dcLMyPWqrelp079JLa237GjQdUKcBonhUXrNDwtM
 95zhMp7jHOgOzSMuUB7GefbkAuErCEWDwA==
X-Google-Smtp-Source: ABdhPJwwLlyreTfTkw94wQ7pjK4wjAtiaJOuIEWIi/beDoQsZz9HbTNyasS2YX+6XfM/6hkI6IdRtA==
X-Received: by 2002:a05:6512:304b:: with SMTP id
 b11mr5153520lfb.190.1633000794153; 
 Thu, 30 Sep 2021 04:19:54 -0700 (PDT)
Received: from [192.168.43.35] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id s11sm335143lfd.262.2021.09.30.04.19.53
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 30 Sep 2021 04:19:53 -0700 (PDT)
Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87fstn8fak.fsf@HIDDEN>
 <1cf60c2c-7ecc-631b-22c3-6d779476aeeb@HIDDEN> <875yuj8dm8.fsf@HIDDEN>
 <7867800d-f770-0316-6659-7ff6f310cd57@HIDDEN> <87pmsq5zoj.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <b559b3b7-1821-8706-c892-477b4ecfb07d@HIDDEN>
Date: Thu, 30 Sep 2021 14:19:47 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87pmsq5zoj.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 30.09.2021 09:45, Lars Ingebrigtsen wrote: > Dmitry Gutov
 writes: > >> Unlike font-lock-global-mode, it seems in this case the code
 will be >> checking show-paren-global-modes at runtime (inside [...] 
 Content analysis details:   (1.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (dgutov[at]yandex.ru)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.47 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.47 listed in wl.mailspike.net]
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.252.127.239 listed in dnsbl.sorbs.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 -0.1 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 50895
Cc: 50895 <at> debbugs.gnu.org, Jim Porter <jporterbugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

On 30.09.2021 09:45, Lars Ingebrigtsen wrote:
> Dmitry Gutov <dgutov@HIDDEN> writes:
> 
>> Unlike font-lock-global-mode, it seems in this case the code will be
>> checking show-paren-global-modes at runtime (inside
>> show-paren-function, I guess).
> 
> Looking at show-paren-mode again -- I thought we'd agreed to make it a
> globalized minor mode instead of a global minor mode?  I.e., define it
> with `define-globalized-minor-mode'.  Did that prove to be difficult to
> do (i.e., not backwards-compatible)?

The current implementation seems both more efficient (which is good for 
an on-by-default mode) and actually easier to do, due to how 
show-paren-mode works.

> If we do that, then we'd define it exactly like global-font-lock-mode is
> defined (with the turn-on-paren-mode-if-desired logic).

We don't really have buffer-local timers, AFAIK. So the same nuances 
should apply.

>> The new var, if we add it now, should probably be just t by default.
>>
>> To avoid changing the behavior for those who customized
>> show-paren-mode for many years, and yet allow an easy customization
>> point for others who can by annoyed with the change.
> 
> I don't see why the default value of a new `paren-mode-global-modes'
> variable would affect people who are saying (show-paren-mode 1) in their
> init files?  It should only affect those who haven't made any such
> customisation already.

The value of font-lock-global-modes affects how global-font-lock-mode works.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 30 Sep 2021 10:02:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 30 06:02:21 2021
Received: from localhost ([127.0.0.1]:51518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVstR-0000DC-8C
	for submit <at> debbugs.gnu.org; Thu, 30 Sep 2021 06:02:21 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35706)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mVstQ-0000Cy-Cg
 for 50895 <at> debbugs.gnu.org; Thu, 30 Sep 2021 06:02:20 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38028)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mVstK-00085y-Qm; Thu, 30 Sep 2021 06:02:14 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3044
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mVstH-0003EH-Vp; Thu, 30 Sep 2021 06:02:14 -0400
Date: Thu, 30 Sep 2021 13:02:20 +0300
Message-Id: <83a6jugz4j.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87wnmy2z3f.fsf@HIDDEN> (message from Lars Ingebrigtsen on Thu, 
 30 Sep 2021 11:26:44 +0200)
Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes
References: <87fstn8fak.fsf@HIDDEN>
 <1cf60c2c-7ecc-631b-22c3-6d779476aeeb@HIDDEN>
 <875yuj8dm8.fsf@HIDDEN>
 <7867800d-f770-0316-6659-7ff6f310cd57@HIDDEN>
 <83h7e2h1wa.fsf@HIDDEN> <87wnmy2z3f.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50895
Cc: 50895 <at> debbugs.gnu.org, jporterbugs@HIDDEN, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Dmitry Gutov <dgutov@HIDDEN>,  jporterbugs@HIDDEN,
>   50895 <at> debbugs.gnu.org
> Date: Thu, 30 Sep 2021 11:26:44 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > By contrast, the suggestion here is to turn on by default something we
> > never tried before.  While the chances of it to introduce some serious
> > regressions are probably not high, they are definitely higher than
> > simply turning on the mode globally, something we already did. 
> 
> Sorry, I thought it was understood that the discussions here (about
> rewriting how show-paren-mode is implemented) is for Emacs 29.  I'm not
> proposing doing anything further about the implementation in Emacs 28.

Ah, okay.  Sorry for my misunderstanding.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 30 Sep 2021 09:27:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 30 05:27:00 2021
Received: from localhost ([127.0.0.1]:51472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVsLE-0007jP-DS
	for submit <at> debbugs.gnu.org; Thu, 30 Sep 2021 05:27:00 -0400
Received: from quimby.gnus.org ([95.216.78.240]:39758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mVsL9-0007j7-66
 for 50895 <at> debbugs.gnu.org; Thu, 30 Sep 2021 05:26:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=OI0AqiEWieGQm5DGkYov/pkKz8QTprCxsnUiW0ZKy0o=; b=mocC0RZO5Njxu37mOfWNRDsN1j
 e2egu8oJw9SVONJRjQZP/8593chJ5j2ZJI9lIluae/Q+c+Q4h31up8bGYKMH7r29wJhxacIUVipvh
 rJO9qhcrc2fUD4o13kW8to7HpbRj+J2hqYuPtmC4UZ0CXaMj9eWt+7h18OL14zId5nSI=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mVsKz-0004DV-O1; Thu, 30 Sep 2021 11:26:48 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes
References: <87fstn8fak.fsf@HIDDEN>
 <1cf60c2c-7ecc-631b-22c3-6d779476aeeb@HIDDEN>
 <875yuj8dm8.fsf@HIDDEN>
 <7867800d-f770-0316-6659-7ff6f310cd57@HIDDEN>
 <83h7e2h1wa.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAAAXNSR0IArs4c6QAAAAlQTFRF
 PEZFqbOn////C9F+/gAAAAFiS0dEAmYLfGQAAAAJcEhZcwAACxIAAAsSAdLdfvwAAAAHdElNRQfl
 CR4JGR3AXJwCAAAAtklEQVQoz53SsQ7EIAgAUEhkd9D/0eS6awL//ysn2iJtbzqHhhdUUAvwz8js
 hS6uot+0IAMobYOkJ4OMMfeJAdsIF6gha0bgWvZCWVU98gKrwgktfE5a81AOse2wuwzYNO2BfkKe
 gBuyB3rQDYf1tlPXGWKzoyJH6HxeHY2gH1ox6JoWV/kkZdxuljqgp8Fr5663KZwY2u6yvFreqB9D
 6sUyHUYXE4F4v0Ai9xz2J7hnmuAHwoy/b/Bi7ODUWv0AAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEt
 MDktMzBUMDk6MjU6MjkrMDA6MDB4AP6oAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTA5LTMwVDA5
 OjI1OjI5KzAwOjAwCV1GFAAAADh0RVh0aWNjOmNvcHlyaWdodABDb3B5cmlnaHQgKGMpIDE5OTgg
 SGV3bGV0dC1QYWNrYXJkIENvbXBhbnn5V3k3AAAAIXRFWHRpY2M6ZGVzY3JpcHRpb24Ac1JHQiBJ
 RUM2MTk2Ni0yLjFXrdpHAAAAJnRFWHRpY2M6bWFudWZhY3R1cmVyAElFQyBodHRwOi8vd3d3Lmll
 Yy5jaBx/AEwAAAA3dEVYdGljYzptb2RlbABJRUMgNjE5NjYtMi4xIERlZmF1bHQgUkdCIGNvbG91
 ciBzcGFjZSAtIHNSR0JEU0ipAAAAAElFTkSuQmCC
X-Now-Playing: The Notwist's _Vertigo Days_: "Ship (feat. Saya)"
Date: Thu, 30 Sep 2021 11:26:44 +0200
In-Reply-To: <83h7e2h1wa.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 30 Sep
 2021 12:02:29 +0300")
Message-ID: <87wnmy2z3f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > By contrast,
 the suggestion
 here is to turn on by default something we > never tried before. While the
 chances of it to introduce some serious > regressions are probably not high,
 they are definitel [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50895
Cc: 50895 <at> debbugs.gnu.org, jporterbugs@HIDDEN,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> By contrast, the suggestion here is to turn on by default something we
> never tried before.  While the chances of it to introduce some serious
> regressions are probably not high, they are definitely higher than
> simply turning on the mode globally, something we already did. 

Sorry, I thought it was understood that the discussions here (about
rewriting how show-paren-mode is implemented) is for Emacs 29.  I'm not
proposing doing anything further about the implementation in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 30 Sep 2021 09:02:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 30 05:02:29 2021
Received: from localhost ([127.0.0.1]:51449 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVrxV-00079P-Ad
	for submit <at> debbugs.gnu.org; Thu, 30 Sep 2021 05:02:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51814)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mVrxT-00079C-9E
 for 50895 <at> debbugs.gnu.org; Thu, 30 Sep 2021 05:02:28 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36646)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mVrxN-00005g-Tb; Thu, 30 Sep 2021 05:02:21 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3352
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mVrxN-0008WF-GE; Thu, 30 Sep 2021 05:02:21 -0400
Date: Thu, 30 Sep 2021 12:02:29 +0300
Message-Id: <83h7e2h1wa.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <7867800d-f770-0316-6659-7ff6f310cd57@HIDDEN> (message from
 Dmitry Gutov on Wed, 29 Sep 2021 23:02:03 +0300)
Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes
References: <87fstn8fak.fsf@HIDDEN>
 <1cf60c2c-7ecc-631b-22c3-6d779476aeeb@HIDDEN> <875yuj8dm8.fsf@HIDDEN>
 <7867800d-f770-0316-6659-7ff6f310cd57@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50895
Cc: 50895 <at> debbugs.gnu.org, jporterbugs@HIDDEN, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Wed, 29 Sep 2021 23:02:03 +0300
> Cc: 50895 <at> debbugs.gnu.org
> 
> >> Then the default value for `show-paren-global-modes' could be
> >> `(prog-mode)' or `(prog-mode text-mode)', or even `(not
> >> special-mode)', depending on one's opinions about whether
> >> `show-paren-mode' makes sense for prose. That would cover both this
> >> bug as well as providing an easy way for users to customize the major
> >> modes where `show-paren-mode' is enabled (this is already possible
> >> with `show-paren-local-mode', but it'd be a bit simpler with
> >> `show-paren-global-modes').
> > 
> > Yes, that makes sense to me.
> 
> The new var, if we add it now, should probably be just t by default.
> 
> To avoid changing the behavior for those who customized show-paren-mode 
> for many years, and yet allow an easy customization point for others who 
> can by annoyed with the change.
> 
> I don't know how to avoid changing the behavior for existing users of 
> this mode, unless we make the variable itself take different values (can 
> we?), and have it used instead of adding show-paren-global-modes.

IMNSHO, it would be wrong for us to do that now.  show-paren-mode in
its traditional global implementation was tested for many years by
many users, and we have a good understanding of what it does.  Turning
it on by default makes that well-understood feature available to
everyone.  The problems with that should be minor, mostly related to
personal preferences, as always with defaults.

By contrast, the suggestion here is to turn on by default something we
never tried before.  While the chances of it to introduce some serious
regressions are probably not high, they are definitely higher than
simply turning on the mode globally, something we already did.  It
makes little sense to me to argue for a long time about a feature,
have a user poll about its turning on, then turn on some different
feature by default.  That's not a healthy way of changing defaults in
Emacs, and it runs a higher risk of causing unintended problems.
There's absolutely no justification for that.  "Perfect is the enemy
of good."

There's nothing particularly wrong with the current global settings,
except that some people don't like the results.  That some don't like
it is expected: that's why this can be customized to turn the feature
off.  But I see no real reasons to complicate the mode or invent new
untested aspects of it, just because a few people dislike it or have
their doubts or ideas about how to turn it on/off selectively.

So I don't think we should change anything in this by default.  If
someone really wants a way of enabling this more selectively, that's
fine, but then this new behavior should not be the default, because
that's not what we decided and not what we asked the users to provide
the feedback about.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 30 Sep 2021 06:46:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 30 02:46:00 2021
Received: from localhost ([127.0.0.1]:51211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVppQ-0001MN-Hz
	for submit <at> debbugs.gnu.org; Thu, 30 Sep 2021 02:46:00 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mVppO-0001M6-SQ
 for 50895 <at> debbugs.gnu.org; Thu, 30 Sep 2021 02:45:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=45Q7VRSiGWlYtOPjLeGK3nYfAR5J7cEoY3foriGjhgg=; b=ExTSNvbQSyuztLlcayj4zYeFgD
 2rQBxdX8kVyE8LjSJPtMT9XjLodjxTQRVf/CMZt/L3wZJYKBrv+bGblIQen+NVys8U1LZr/Ao16Hy
 I3whmsjHeY+YBQMEnMrnhI5S10Ym/hk/TGFmn2uVT+XdEUiwOzopHDh1bTXwCymTfCjs=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mVppF-0002ew-AH; Thu, 30 Sep 2021 08:45:52 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes
References: <87fstn8fak.fsf@HIDDEN>
 <1cf60c2c-7ecc-631b-22c3-6d779476aeeb@HIDDEN>
 <875yuj8dm8.fsf@HIDDEN>
 <7867800d-f770-0316-6659-7ff6f310cd57@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEX8ZXG4jK1PneGw
 fZ/rdYv///9EMUWXAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+UJHgYpFRqdZf4AAAGnSURBVDjLbdTh
 ccMgDAVgpWWACrMAjgfoxR4Aau0/U99D2Ca+8KOX8EVCQnZF3tZjnjXHeZ6f/JYMq3TIqtqhpqrJ
 koNqNYsNgpqqWbULtMEj1aQIQdgEyO0joZpW5CUo4su+2bavK45mgEM7hzVhEbiv6Q4hVRfAz0ew
 C/QORYygb5DQTREdrgdNd8C1xGndzByqA/o1Pzn2cgNug/vtGrGZY3QQ/parl7ScEOzcJyRMxEHs
 mgdTZY0dhkVIqadCLhlSgRr4AZa8tXawcrwH2AD5DdKQqsFRboc8gBTshwF0jtkzAx4/crZ09Yvv
 tYT7psg+mQD6THEpB7yQVj9A+UMhSwNUg7/bcEG6GEBnjXpFVIY3iHg60XsqMnQLyBkV4bnl08LK
 2mUqQFMHaRDwBmXNB5jGA3hC5BnxHb699isC5QZC7WDDGcF2CRdkdWDEJPuXV0tgH2gdUDHBPwKT
 Rw6bnW+Ct68VNS+hwXlXBzyF0zhvl6Ct2l/pESfsJl/+7yEU2/dpVX8/OEWcvfQn4vu5rutrkSK8
 3pbJ58446U+3yDn52/oHBBOCRLYxkJ8AAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDktMzBUMDY6
 NDE6MjErMDA6MDCNwQ/DAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTA5LTMwVDA2OjQxOjIxKzAw
 OjAw/Jy3fwAAAABJRU5ErkJggg==
X-Now-Playing: The Notwist's _Close to the Glass_: "Kong"
Date: Thu, 30 Sep 2021 08:45:48 +0200
In-Reply-To: <7867800d-f770-0316-6659-7ff6f310cd57@HIDDEN> (Dmitry Gutov's
 message of "Wed, 29 Sep 2021 23:02:03 +0300")
Message-ID: <87pmsq5zoj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Dmitry Gutov <dgutov@HIDDEN> writes: > Unlike
 font-lock-global-mode, 
 it seems in this case the code will be > checking show-paren-global-modes
 at runtime (inside > show-paren-function, I guess). Looking at show-paren-mode
 again -- I thought we'd agreed to make it a globalized minor mode instead
 of a global minor mode? I.e., define it with `define-globalized-minor-mode'.
 Did that prove to be d [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50895
Cc: 50895 <at> debbugs.gnu.org, Jim Porter <jporterbugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dmitry Gutov <dgutov@HIDDEN> writes:

> Unlike font-lock-global-mode, it seems in this case the code will be
> checking show-paren-global-modes at runtime (inside
> show-paren-function, I guess).

Looking at show-paren-mode again -- I thought we'd agreed to make it a
globalized minor mode instead of a global minor mode?  I.e., define it
with `define-globalized-minor-mode'.  Did that prove to be difficult to
do (i.e., not backwards-compatible)?

If we do that, then we'd define it exactly like global-font-lock-mode is
defined (with the turn-on-paren-mode-if-desired logic).

> The new var, if we add it now, should probably be just t by default.
>
> To avoid changing the behavior for those who customized
> show-paren-mode for many years, and yet allow an easy customization
> point for others who can by annoyed with the change.

I don't see why the default value of a new `paren-mode-global-modes'
variable would affect people who are saying (show-paren-mode 1) in their
init files?  It should only affect those who haven't made any such
customisation already.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 29 Sep 2021 20:02:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 16:02:18 2021
Received: from localhost ([127.0.0.1]:50334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVfmU-0005UG-Ho
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 16:02:18 -0400
Received: from mail-wr1-f47.google.com ([209.85.221.47]:39606)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mVfmP-0005Tv-PZ
 for 50895 <at> debbugs.gnu.org; Wed, 29 Sep 2021 16:02:17 -0400
Received: by mail-wr1-f47.google.com with SMTP id d26so6173153wrb.6
 for <50895 <at> debbugs.gnu.org>; Wed, 29 Sep 2021 13:02:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=xtFeMu0HOV+iqhdQL8pcCWwslxj6MTC0WC9pqY+wsuk=;
 b=I1XKREIG2rsu4ubqGbcgBhRG1IYD8iONa3CkIG6OMhg+UguGzPCr0P51KYdoQ5Yk2+
 VGnVP+GS+moAmZiob7t5ZlvVso69OXT+8LTtHByB7EOA6RTus1uUZEfdCf7KTci9D8nQ
 nv4mCYqTwe2bBD0Au6cbj9qSV9kZKD004qqG79s6DZ2QgRRYBvOpndVDmU7GEN9lQj7r
 nzns2uphezSM9d5DhX1ualqALDtJDhJEKbn6j4i8uvF7rGu0Ps9S9xjR4ik9h3RO0uH3
 IemgbSX1nMkd0xZNSUQOUF0cNAShiESO2bJcVtu/VbDkyEGr0X3P/PRCpyQlDrVklzzV
 6+UA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=xtFeMu0HOV+iqhdQL8pcCWwslxj6MTC0WC9pqY+wsuk=;
 b=b2isUWFIqiaKihZ4jSWJ+hFODvqh6awTbnKYg41UdSDkJp2/pv7nmznWWd9jVK8CYp
 soREVKpAu4qE9tXIWkgwe4LtU9XG60eGyjOJTxsWMc7KMRx0d/iizXuC6Wtq1m0hy6Pe
 sVidlLicAghdFhSvwaTKdwZrOl7N8A3RMpONOYvnGRLx13mRGfqFbpqREqOzAjR6pBQc
 8AyWlRtI7+5d1Tc7WBEu76iFEOcxCAp3YhVpMc2/CTMRypKjyOw0zUvQjBQ4hVF9fCDQ
 ibHc3kWFCUNy026bLwK7rxTbKpne6iF3bMYFSt9VlpdDvU5xV7mbw6NhYsJtKTStFCTJ
 oR2A==
X-Gm-Message-State: AOAM530neCQ1bkpUAMYD5N03WDNPDxrHGqp9fyF69O0BAZcqG5oiUZwL
 SM2p2KzVjmNDt/eAAE6By1KCTh89iYk=
X-Google-Smtp-Source: ABdhPJzLp8PsuTZKZht+uoFAyZHsK4OqxVQZGSXnyRwllzyetez6bxcKlGv8aZWzPlkBAoRHE+sR/g==
X-Received: by 2002:adf:f6c7:: with SMTP id y7mr2142264wrp.44.1632945727724;
 Wed, 29 Sep 2021 13:02:07 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id z7sm2580001wmi.12.2021.09.29.13.02.05
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 29 Sep 2021 13:02:06 -0700 (PDT)
Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes
To: Lars Ingebrigtsen <larsi@HIDDEN>, Jim Porter <jporterbugs@HIDDEN>
References: <87fstn8fak.fsf@HIDDEN>
 <1cf60c2c-7ecc-631b-22c3-6d779476aeeb@HIDDEN> <875yuj8dm8.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <7867800d-f770-0316-6659-7ff6f310cd57@HIDDEN>
Date: Wed, 29 Sep 2021 23:02:03 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <875yuj8dm8.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50895
Cc: 50895 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 29.09.2021 21:01, Lars Ingebrigtsen wrote:
> Jim Porter <jporterbugs@HIDDEN> writes:
> 
>> Perhaps something akin to `font-lock-global-modes'? The help text for
>> that says:
>>
>>> If nil, means no modes have Font Lock mode automatically turned on.
>>> If t, all modes that support Font Lock mode have it automatically turned on.
>>> If a list, it should be a list of ‘major-mode’ symbol names for
>>> which Font Lock
>>> mode should be automatically turned on.  The sense of the list is
>>> negated if it
>>> begins with ‘not’.
> 
> Ah, right -- I thought I remembered that we had some kind of
> functionality for minor modes like this, but couldn't remember the
> specifics.

Unlike font-lock-global-mode, it seems in this case the code will be 
checking show-paren-global-modes at runtime (inside show-paren-function, 
I guess).

The check should special-case buffer-local values of show-paren-mode, so 
it's still possible to enable show-paren-local-mode in buffers where 
show-paren-mode is disabled via the new variable.

>> Then the default value for `show-paren-global-modes' could be
>> `(prog-mode)' or `(prog-mode text-mode)', or even `(not
>> special-mode)', depending on one's opinions about whether
>> `show-paren-mode' makes sense for prose. That would cover both this
>> bug as well as providing an easy way for users to customize the major
>> modes where `show-paren-mode' is enabled (this is already possible
>> with `show-paren-local-mode', but it'd be a bit simpler with
>> `show-paren-global-modes').
> 
> Yes, that makes sense to me.

The new var, if we add it now, should probably be just t by default.

To avoid changing the behavior for those who customized show-paren-mode 
for many years, and yet allow an easy customization point for others who 
can by annoyed with the change.

I don't know how to avoid changing the behavior for existing users of 
this mode, unless we make the variable itself take different values (can 
we?), and have it used instead of adding show-paren-global-modes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 29 Sep 2021 18:51:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 14:51:37 2021
Received: from localhost ([127.0.0.1]:50230 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVeg5-0001OP-3Q
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 14:51:37 -0400
Received: from mx0b-00069f02.pphosted.com ([205.220.177.32]:30330)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1mVeg1-0001OD-L6
 for 50895 <at> debbugs.gnu.org; Wed, 29 Sep 2021 14:51:36 -0400
Received: from pps.filterd (m0246630.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 18TIKHbm013609; 
 Wed, 29 Sep 2021 18:51:32 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=Wtxu5ML8dfP1YBTCfyZVMS091WYtk+G46O+2DyHXzuI=;
 b=yY/8VYxCVc95zwIsDI/nAyhqgxVVXLxhCYQKH9Oqvd1kCyAhsH13PmNth+/tEp881cFw
 Da3cXb0GlEXJOHthRVn3QEi+DbJ+ipg7UhIlcqSDS/WLQa07ciqAhIse2VHf/d8QtuOU
 JzNjTGRquIayP9quPaBN5AfNfvB6CfIbeGAXzvsDCYaeuS1g/DMBoNoqQhvzA/eVDYNk
 KD5HUoA4DTWQQa2S6S5QTqHNanYSC6aFq38XJTyyqF5ra9dcDUJmv1VnwsPeEU8oRaHm
 bz4Opmkn8RXyBmZ6OgiXbQfdUSEExaa9hoYHX7+fcaFycD1oAoBaLwG+yvJsjeWSd4+x 7w== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by mx0b-00069f02.pphosted.com with ESMTP id 3bcf6cx2pr-11
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 29 Sep 2021 18:51:29 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 18TIBg7X049671;
 Wed, 29 Sep 2021 18:11:48 GMT
Received: from nam12-bn8-obe.outbound.protection.outlook.com
 (mail-bn8nam12lp2172.outbound.protection.outlook.com [104.47.55.172])
 by aserp3020.oracle.com with ESMTP id 3bceu5vbay-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 29 Sep 2021 18:11:48 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=n76WiakGq98bg9brNkZH3+kBBUiJbVhb8zdC24MGJP5rR4inAmCc1bNL6oXrbm1Jfce0XZIq586lpeScmVwgjZZuMG1yTuBA7LJJ40UVcmtpJAFSbmAa5rqsZgsjayXVsaNTwHXDRPlB9ufLyZqE+H+2F8py4zVFM+L0pO3em8zq+mMjA7s70bGJfyTsWrifSFSDUI7e9b7VZFqWe+BltY4TJhmzvoNkazrFI2fkq/OnLiS7TLwymJLUJ9Z5S0lEGlwulZrwvFMFictUKzuPS10GWJH7kajPpgpWuI14UK63RB7HvYpri55bjdd8gtzF+hM+Y3gtnTkTQ0WS2nbGiQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version; 
 bh=Wtxu5ML8dfP1YBTCfyZVMS091WYtk+G46O+2DyHXzuI=;
 b=F3lIHAEm4n/wmnuprHond+fW5lo4i4UMTCoTRiYFDpPLXR1OdOlxWr1emP72pbyRQf8BSySzHWQVDNYog+yrPkRHVNhWeDm3C0OgkK4hl61ZT7KasJEfFfDstojiUkrlCb25weKwgQUgWtC72sAvwgDqK8rGARZ8L9cUnqM9Ns58IPR4POdXNPYF4kB25ykE32IJuLt7RmVFF+aS2fP05lXWf3Vs1DvCXH27rAokCq9CcUvEnrdUlYzB45ORT9qEcxY4fRtgnpZe9wDev6S1Yo0pWJXI+0eV9yTbbOBZN9lfWWcNdZyLpW/TFIeinoTIskgndDyhikHSgFo8R5NPvQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=Wtxu5ML8dfP1YBTCfyZVMS091WYtk+G46O+2DyHXzuI=;
 b=DvhoxObhehhyG3j1mbCa+z4E8cmhxWNIeSOwjEBM3YZwm/7AzZK9c+7vi2CPYmjrtB++/j28ELBWUuzs5DvNcXyGnI2k9Y4XqxgVxHkREM5tYsUVg9UP7UK+SfKn9y0y/kM3hz3oaz69haDcl4FFN/YFh5JagNXvAqvJbcGxXz8=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by BYAPR10MB3191.namprd10.prod.outlook.com (2603:10b6:a03:14f::29)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4544.13; Wed, 29 Sep
 2021 18:11:47 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82%9]) with mapi id 15.20.4544.021; Wed, 29 Sep 2021
 18:11:46 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: [External] : bug#50895: 28.0.50; show-paren-mode is distracting
 in some modes
Thread-Topic: [External] : bug#50895: 28.0.50; show-paren-mode is distracting
 in some modes
Thread-Index: AQHXtVxnLeEoVahowUWQPnw/cFviR6u7TyZg
Date: Wed, 29 Sep 2021 18:11:46 +0000
Message-ID: <SJ0PR10MB5488087A0E39EFBC4907A983F3A99@HIDDEN>
References: <87fstn8fak.fsf@HIDDEN> <83sfxngszs.fsf@HIDDEN>
 <871r578dj4.fsf@HIDDEN>
In-Reply-To: <871r578dj4.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnus.org; dkim=none (message not signed)
 header.d=none;gnus.org; dmarc=none action=none header.from=oracle.com;
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: e29f8c06-5233-4724-7830-08d9837499ce
x-ms-traffictypediagnostic: BYAPR10MB3191:
x-microsoft-antispam-prvs: <BYAPR10MB3191DA7B8252CD4C6276F309F3A99@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:9508;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: j10bSHyUjwr0/WHmwnQnw95QLbOhH6CO4gd0x04IRSRxq8j96sJlMkHpOq1NkblU1qxCsm6oy9SLuGJP9gHnJ4O/qz8cULNIc5Ftpr4XC3xi24xKbQiQwlP7JyYINj/4rBmC4W/9LGRyjVg7wEg2ngIQpPAS+JEw/LFcm8gBAMFNomujADKdJgd85rCtBHIstYUNOZpn5KkDo7jL7zUn2nq4MlfRcTvglds50bKBeWRcMfeKjZf5gXsMwuKtL2P240JAriHjaLN6Cskm3klS1viWUlohGu04RQbHqbg3QWg1Gr+pQ7Ula174y2PU8S8AT7/moL+p7qUOtRTPcGB4WMugHbVfyH2/lVgytuZq5DDBugLyWAeI2EnzEXnIXH8XTMpA0HYNLLHVIaAFEik3Je6oh/Rc6k30eKuM3Ctc8alW3w1QUP+5NlXABabBnB1/UyeqDy/rFakWcX6umbEztk3wj6aXSTSoDuNwdex22bHjb9fWSp36JQNWsgzcBAzr9P53YrFkcO4eOCWhFih4nwAbm2sWVf79EbCxhKkByP+3/jWL++Dksf5SolP2WnBVyG1tJp9ru7excFBdGickDVUE9AHd1FI6CZwzSNiQ85wQWuWa4rR5pedA7OE/9qeU5JpNSeM9KZEnNR2z8nO350q7hDs5qaoX/bgaCwcSi0TOVxM7TFBj3qrCO214DGP3wBzIcNFA+16Eae0rPyKCbw==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(26005)(8676002)(54906003)(110136005)(4744005)(55016002)(186003)(44832011)(7696005)(71200400001)(5660300002)(38070700005)(6506007)(4326008)(52536014)(316002)(76116006)(86362001)(9686003)(66556008)(64756008)(2906002)(8936002)(122000001)(33656002)(66476007)(66446008)(66946007)(508600001)(38100700002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?oVVz72i+BVLaccMZt2L03k4ok0D4FS0fq5L4Ko7bEaHGc9Q0+20LeZyDzEMI?=
 =?us-ascii?Q?7qA4Bo3pA+71Oh0Qo73nlfcTpSfF5rpEAZuqc9m+GwfxD7ahDf9CgC9fcAxX?=
 =?us-ascii?Q?zBq1u3FN2wk1XaKQhT63QJonnyRNvil9rDpl28bAbIXDguiFSHtICwlinM29?=
 =?us-ascii?Q?Rs5cfBNCw0bH3ZtFlJZrwLM86DVQ+WhZn13xqLLB/fhJ65KbP9Ig0a/qFhVq?=
 =?us-ascii?Q?k7VlANpEdFyY21Zj/a4cx77aYbpHQR0DmT6aeXVMHHgstfsucn9APoFnfHrS?=
 =?us-ascii?Q?5saYoSQpPCvCU3b1sNhaUzrISr9rUtFyP1nCNmVK7W6DXN9xEA689jOD5cyE?=
 =?us-ascii?Q?Yoe3+rSFIHavUW/x3AFBdPwh/JVD4zSX6JG+NkZOX7KLUxFuHdVzTx4lPyPk?=
 =?us-ascii?Q?gXkjb3nxVTtf3tEzkFbAnwNbEvdvvDAYGkyoiEsgrCQLjjIH9E/06M60apz5?=
 =?us-ascii?Q?iyd5OebL8Rn6REdeIVBxeIrU9Hkc9GLWN1vRpelguw6Wln3DQH/a6+mjU7BK?=
 =?us-ascii?Q?5U8xe7j2rXytnNxVVj8pYLeUyxeVNMxOZGEunh0Q31dzJ72hjMgj6/+mkIYo?=
 =?us-ascii?Q?MzoP0vqDdqiY0tWq+rUsedC4/0TcBBDAsaPK1VpBNPs326B1TPaXXoUaKRCt?=
 =?us-ascii?Q?+YPjko7WUzdsCAnIqLffZp3bJMVKr0Wxw06eK045LXJnz0hRo06OwdxzcPdX?=
 =?us-ascii?Q?VkNz1oH4vYCoxFpnhCWzR60mwO6AboEGesIwvV+66NSAzsxvdv+bGFMw/O8o?=
 =?us-ascii?Q?6/tBzdKREkPMDv5l71gUza8yKFBkg+D6S6T4hVDEe1cB7xBJ10ekq26DEzKb?=
 =?us-ascii?Q?Nl9AMA4NnuPVQF/G2+AEBBd9D1B1Rn6UbwKqW0UFTqO74fHhhFfAmTJlY6In?=
 =?us-ascii?Q?dt9zemMEK+zgFeCQu2mOtnLdcBB3wQTKf8TvKPy3DOz8xCI68hoiSInZCH34?=
 =?us-ascii?Q?Wq0HXSseSTmRTtHS8EwUqqokIWN1nCgAasLtoGHwsiYlSpDQ8JLT1KGXJZKF?=
 =?us-ascii?Q?2d3i+GRFIgk7edhQCqkTFLzSo6W7GhoHtUMV6RyIkp8eb2cKo5N6M/wCrI+4?=
 =?us-ascii?Q?b+woSeHsboxCeBIgGLSn1sXyxheWlHfSggwP5zvkaeeesZFYY4B3cOxX+cjA?=
 =?us-ascii?Q?JQSgFSaO+YFS2pfR8psHj6NYSIDx6+mnrmhIDQSx+o9Nq16jfp8ducUnmmzZ?=
 =?us-ascii?Q?kpV3No/RCuAoZfcwlgY1zAdXiiQIYk2QTpTj3DljLNNe6JsIrVq639Z2mUFS?=
 =?us-ascii?Q?iMU2MtCNnxjKgLUBsKdPSaQh1kZT8YwJswN94uy7MDmsC7OhdiLhrg0N//pO?=
 =?us-ascii?Q?Pmwqc7JF6/BtwX8JSTTcV/8N?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: e29f8c06-5233-4724-7830-08d9837499ce
X-MS-Exchange-CrossTenant-originalarrivaltime: 29 Sep 2021 18:11:46.7982 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: 9yjzh6NFah2HzUwUiKnBe/AzydvUV+FpfA7CQKEFfGedtNoQq4fLJFORM4U/HzFcrfi/UTDgnQBCisb0/ZlMFQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BYAPR10MB3191
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10122
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 phishscore=0
 suspectscore=0 spamscore=0
 adultscore=0 bulkscore=0 mlxscore=0 malwarescore=0 mlxlogscore=909
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2109230001
 definitions=main-2109290105
X-Proofpoint-GUID: NfvhXmeb9Q1vZKqK6SWTxCpzZ3hhOvq0
X-Proofpoint-ORIG-GUID: NfvhXmeb9Q1vZKqK6SWTxCpzZ3hhOvq0
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50895
Cc: "50895 <at> debbugs.gnu.org" <50895 <at> debbugs.gnu.org>,
 "dgutov@HIDDEN" <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> > We don't know what "most people" will want, except what we heard
> > during the poll.  And no one said anything like that there.
>=20
> I'm not sure anybody even thought about the implications this would
> have for buffers that are used for display -- I certainly didn't.

Certainly those (such as myself and apparently Eli)
who have long had it customized to ON know those
implications (whatever they might be), and yet those
users chose to turn it on globally.

Maybe what you meant is that users who haven't had
it ON haven't thought about the implications of
turning it on globally, and some (e.g. you) of them
might find it distracting in some modes.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 29 Sep 2021 18:40:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 14:40:50 2021
Received: from localhost ([127.0.0.1]:50225 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVeVe-000166-09
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 14:40:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58300)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mVeVc-00015r-M5
 for 50895 <at> debbugs.gnu.org; Wed, 29 Sep 2021 14:40:49 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40458)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mVeVW-0005Lk-Rk; Wed, 29 Sep 2021 14:40:42 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2155
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mVeVU-0005BA-Jf; Wed, 29 Sep 2021 14:40:41 -0400
Date: Wed, 29 Sep 2021 21:40:47 +0300
Message-Id: <83o88bgr80.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87wnmz6xnt.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 29 Sep 2021 20:31:50 +0200)
Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes
References: <87fstn8fak.fsf@HIDDEN> <83sfxngszs.fsf@HIDDEN>
 <871r578dj4.fsf@HIDDEN> <83r1d7grwx.fsf@HIDDEN> <87wnmz6xnt.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50895
Cc: 50895 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 50895 <at> debbugs.gnu.org,  dgutov@HIDDEN
> Date: Wed, 29 Sep 2021 20:31:50 +0200
> 
> Sure, I'm not arguing for changing anything this second.  I opened this
> bug report to see if anybody had any input into what options we had if
> we wanted to tweak the behaviour, and Jim Porter's suggestion seems
> promising to me.

It's okay to discuss this, but I implore us not to make any further
changes just yet, except to fix clear bugs.

> It seems like if we implement something like that, then people who have
> (show-paren-mode 1) in their .emacs files already won't be affected at
> all

Those people are not interesting for this discussion.  We changed the
default not for them.

> and people who don't have it will have it switched on in
> editing-related modes, which is what was discussed on emacs-devel (and
> was (I think) the only thing that was discussed there).

I see no reason to turn it on/off partially at this time.  The
decision, based on a poll, was to turn it on globally.  I don't see
any serious reasons yet to back off, not even partially.

> > It is this third category that is the main audience of such changes.
> > Let's not decide for them what are the implications, let them try the
> > new default and tell us about the implications they saw, from their
> > POV.
> 
> That's what's happening -- both Juri and I saw the changes in a help
> buffer and didn't like it, so we piped up.

And your feedback is noted.  But we shouldn't act on it, not just yet.
For now, if you don't like it, just turn it off, it's very simple.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 29 Sep 2021 18:32:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 14:32:06 2021
Received: from localhost ([127.0.0.1]:50212 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVeNC-0000sV-LB
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 14:32:06 -0400
Received: from quimby.gnus.org ([95.216.78.240]:60678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mVeN8-0000rv-9f
 for 50895 <at> debbugs.gnu.org; Wed, 29 Sep 2021 14:32:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ORZYBiN37/awfXawcIMF4b5hpkuk+mKPVim7G6QXQPI=; b=bI5llz3n7wKUm87nt0RBHw5poy
 tOGoRok823JV7jhzr3DHtI89Srj/eOfRMZsQ73DwsA7k+GWcRcL3JF5VLS4xo41ZQXgkolpyseyZH
 u8kBtAIY+UXt7GB0p8JP2mFwPaldbS325vZiZTfwcfoJDZfdzw/gIdNFMToMk0AoMP8M=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mVeMz-0003uh-6M; Wed, 29 Sep 2021 20:31:55 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes
References: <87fstn8fak.fsf@HIDDEN> <83sfxngszs.fsf@HIDDEN>
 <871r578dj4.fsf@HIDDEN> <83r1d7grwx.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEXh3tubXkOrpqda
 VFocFx3////vWzuAAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+UJHRIbCwR4qK4AAAGYSURBVDjLdZIN
 ktswCIUp7gXc2QNokQ/gCi6wEvc/U3nIcZzEZRKPzccTP4LotPXFnn769T9A3+tqP9MtVz/xun79
 xO9PeXEXSAL4Th/G61cXLzeAtv67f/ppKVvf9jtFX4YVuZEo+zMFE5f4EInHVmycUVvV0Zi1tXhX
 G08FFykhQyPm3gG+3wtQHy1yi19q5gjiPbQiLD74BMhNiFZt7D1AhAgeoDXeg8wolkjLWS1VjXjV
 l9SZI6oaQ6VliXqOAH4PiUwJ14kKL+GHYshxFjdBFl5SET1exoiBMVdP69fkZTaeNt6BbIeC3oHY
 PWCp1xwVt6S5M5hOgDbbCOXySAjNmNOZQM0G2oWkROF5lO0xu2ytEWZrHitQldD/AjDMw4/0BErh
 2RP48L9H8lgPJZQ3AdImiAmrAYwTVNOU4jy8UE2g7ZjJA3jJK4px24w+QT+GZP4G3PzDEgy1e3An
 oahZ/cbyvrFn828vQGqTuaKM8npMeH5CAYQdxqjkXJ8qgY7tTfBYk1xxTU1MS55bLXP7cV4eCfAP
 H0SJXuYZ/pcAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDktMjlUMTg6Mjc6MTErMDA6MDDb0Zp/
 AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTA5LTI5VDE4OjI3OjExKzAwOjAwqowiwwAAAABJRU5E
 rkJggg==
X-Now-Playing: The Notwist's _Lichter_: "Lichter 3"
Date: Wed, 29 Sep 2021 20:31:50 +0200
In-Reply-To: <83r1d7grwx.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 29 Sep
 2021 21:25:50 +0300")
Message-ID: <87wnmz6xnt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> I'm not sure anybody
 even thought about the implications this would have >> for buffers that are
 used for display -- I certainly didn't. > > But it takes time to collect
 the implications and to see [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50895
Cc: 50895 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> I'm not sure anybody even thought about the implications this would have
>> for buffers that are used for display -- I certainly didn't.
>
> But it takes time to collect the implications and to see whether they
> are real problems or just personal preferences of the "it annoys me"
> kind.  Once again, I'm using this as a global setting for eons, and
> didn't see any implications that bothered me.  So the implications we
> hear now are not necessarily clear-cut and objective.

Sure, I'm not arguing for changing anything this second.  I opened this
bug report to see if anybody had any input into what options we had if
we wanted to tweak the behaviour, and Jim Porter's suggestion seems
promising to me.

It seems like if we implement something like that, then people who have
(show-paren-mode 1) in their .emacs files already won't be affected at
all, and people who don't have it will have it switched on in
editing-related modes, which is what was discussed on emacs-devel (and
was (I think) the only thing that was discussed there).

> It is this third category that is the main audience of such changes.
> Let's not decide for them what are the implications, let them try the
> new default and tell us about the implications they saw, from their
> POV.

That's what's happening -- both Juri and I saw the changes in a help
buffer and didn't like it, so we piped up.

The system is working as intended.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 29 Sep 2021 18:25:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 14:25:56 2021
Received: from localhost ([127.0.0.1]:50207 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVeHD-0000hd-S2
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 14:25:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mVeHB-0000hO-OG
 for 50895 <at> debbugs.gnu.org; Wed, 29 Sep 2021 14:25:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39904)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mVeH5-0001Cd-9v; Wed, 29 Sep 2021 14:25:48 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1246
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mVeH1-0003s7-Ix; Wed, 29 Sep 2021 14:25:45 -0400
Date: Wed, 29 Sep 2021 21:25:50 +0300
Message-Id: <83r1d7grwx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <871r578dj4.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 29 Sep 2021 20:03:43 +0200)
Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes
References: <87fstn8fak.fsf@HIDDEN> <83sfxngszs.fsf@HIDDEN>
 <871r578dj4.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50895
Cc: 50895 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 50895 <at> debbugs.gnu.org,  dgutov@HIDDEN
> Date: Wed, 29 Sep 2021 20:03:43 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > We don't know what "most people" will want, except what we heard
> > during the poll.  And no one said anything like that there.
> 
> I'm not sure anybody even thought about the implications this would have
> for buffers that are used for display -- I certainly didn't.

But it takes time to collect the implications and to see whether they
are real problems or just personal preferences of the "it annoys me"
kind.  Once again, I'm using this as a global setting for eons, and
didn't see any implications that bothered me.  So the implications we
hear now are not necessarily clear-cut and objective.

We have deliberately and consciously changed the default.  This is
what changing the defaults look like: people who already liked it can
now get rid of their customizations, those who don't like it get to
add customizations, and those who never knew it existed get to try it
and decide whether they like it or not.  It is this third category
that is the main audience of such changes.  Let's not decide for them
what are the implications, let them try the new default and tell us
about the implications they saw, from their POV.

I think we should only consider clear bugs in this setting, at least
until Emacs 28.1 is released.  Disabling it sooner, even partially,
based on "annoys me" reports makes no sense to me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 29 Sep 2021 18:03:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 14:03:55 2021
Received: from localhost ([127.0.0.1]:50181 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVdvv-00007N-7z
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 14:03:55 -0400
Received: from quimby.gnus.org ([95.216.78.240]:60444)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mVdvt-000076-JY
 for 50895 <at> debbugs.gnu.org; Wed, 29 Sep 2021 14:03:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pKKQsC0ZtHNoONXQjkF2K6umcYS8pRIucbEt7HjSAXE=; b=Z8SU0rm6kaowrp2SDdLA1CkvFs
 fijHF9JAENuC7rrrOL8ZUS3lNswLkX3ME3TunMW+9vEvYkyBeMxCpFA0d8Ot9SxxtfO+R57vxC4/N
 OXL8vgbSKJNiRTZvyvCRUyO456PrA8uXi7L4Km7YKYvi+DSmB30fmDlYSm+Pn4PCVGUY=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mVdvk-0003g9-Uk; Wed, 29 Sep 2021 20:03:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes
References: <87fstn8fak.fsf@HIDDEN> <83sfxngszs.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEV1ESFzDR0uBgwN
 AwRRChVrJC3////R5sOfAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+UJHREsBuiIyn4AAAFlSURBVDjL
 bVRRdsQgCIS+9h/2eYBukgs05gBN4hV6/6tUEJHNxg99cWDQGQkgMxAAcp36QJlYRtgEsA+uwQKx
 jRppOPLbqGR0C8gewAVQTj3KPRXcAq38G1DJLANvwu8yoN2XwHfwJYl6ikUQB2Va/DznvVdA14r5
 XKcsSE9jbEDKS5nz1jWpgOl6THWac2NVflNxetZSH/nb3TEgrb+y5B8cgCY8lITmbQDttAac2zC+
 3fCxNmBtsUMuAbBlCBlRtz3Nu9Z4or8Y0+iUg37qcUUXct2Pqa6n5knZ8bAe01KOvKG/P38OVdy8
 qojYqzSxUgWWYC26hans0XL2jG6weehGpb2Uwl47ACUpQE51AYZSHbE19hCIy/aOXnsLxUe1EuCS
 YVQY47Xv9DTYGzMIIuYIjzwzoldECvxBvMnQgij8CUYnmc3xgjQkwli9EhC2+C//ZYA0ErWrBW1v
 +p+M7gIgW5V/rjY7PtSLYvwAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDktMjlUMTc6NDQ6MDYr
 MDA6MDD2LgAaAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTA5LTI5VDE3OjQ0OjA2KzAwOjAwh3O4
 pgAAAABJRU5ErkJggg==
X-Now-Playing: The Notwist's _Neon Golden_: "Off The Rail"
Date: Wed, 29 Sep 2021 20:03:43 +0200
In-Reply-To: <83sfxngszs.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 29 Sep
 2021 21:02:31 +0300")
Message-ID: <871r578dj4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > We don't know what
 "most people" will want, except what we heard > during the poll. And no one
 said anything like that there. I'm not sure anybody even thought about the
 implications this would have for buffers that are used for display -- I
 certainly didn't. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50895
Cc: 50895 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> We don't know what "most people" will want, except what we heard
> during the poll.  And no one said anything like that there.

I'm not sure anybody even thought about the implications this would have
for buffers that are used for display -- I certainly didn't.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 29 Sep 2021 18:02:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 14:02:30 2021
Received: from localhost ([127.0.0.1]:50176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVduX-0008WS-TG
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 14:02:30 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50088)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mVduV-0008WF-JE
 for 50895 <at> debbugs.gnu.org; Wed, 29 Sep 2021 14:02:28 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39142)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mVduQ-0006lj-57; Wed, 29 Sep 2021 14:02:22 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3805
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mVduP-0005k2-OS; Wed, 29 Sep 2021 14:02:22 -0400
Date: Wed, 29 Sep 2021 21:02:31 +0300
Message-Id: <83sfxngszs.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87fstn8fak.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 29 Sep 2021 19:25:39 +0200)
Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes
References: <87fstn8fak.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50895
Cc: 50895 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Wed, 29 Sep 2021 19:25:39 +0200
> Cc: Dmitry Gutov <dgutov@HIDDEN>
> 
> 
> I think defaulting show-paren-mode to "on" is a good change in general,
> but it's distracting in some modes.  For instance, when presenting data
> in a buffer, having point flash around when moving around in the buffer
> is not what most people will want.

We don't know what "most people" will want, except what we heard
during the poll.  And no one said anything like that there.

FWIW, I'm using show-paren-mode for eons as a global setting in all my
modes and buffers, and have nothing negative to report.  So evidently
at least for some this is not as annoying as it could seem.

> Does anybody see a way to enable it by default in non-special buffers
> only, but not explicitly switching it off in special-mode buffers for
> those that want it?

Mode hooks is the usual method.  And yes, I'm talking about personal
customizations.  Nothing wrong with that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 29 Sep 2021 18:02:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 14:02:03 2021
Received: from localhost ([127.0.0.1]:50173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVdu7-0008Vq-KS
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 14:02:03 -0400
Received: from quimby.gnus.org ([95.216.78.240]:60398)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mVdu6-0008VL-2D
 for 50895 <at> debbugs.gnu.org; Wed, 29 Sep 2021 14:02:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=awGEkr97vYKWetmApEsNJtbWoVCnGCxwwPmEOrGOHbo=; b=HWBhHYWfO+5lFOxLH+d2tA4mlA
 yyFiXteTSS5FguMBhwnpFt2WHm2B9Racpvwc8fdYmnOd3e37zxs42fbO1p8vaZFDwk9l00/VCqs3w
 NODrRH2HvxKheObHSijuIU0k0qRnU4uK7gRACmKDHuqA/hLWAk5RaquEwysr238DOsZc=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mVdtx-0003ct-65; Wed, 29 Sep 2021 20:01:55 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes
References: <87fstn8fak.fsf@HIDDEN>
 <1cf60c2c-7ecc-631b-22c3-6d779476aeeb@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEV1ESFzDR0uBgwN
 AwRRChVrJC3////R5sOfAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+UJHREsBuiIyn4AAAFlSURBVDjL
 bVRRdsQgCIS+9h/2eYBukgs05gBN4hV6/6tUEJHNxg99cWDQGQkgMxAAcp36QJlYRtgEsA+uwQKx
 jRppOPLbqGR0C8gewAVQTj3KPRXcAq38G1DJLANvwu8yoN2XwHfwJYl6ikUQB2Va/DznvVdA14r5
 XKcsSE9jbEDKS5nz1jWpgOl6THWac2NVflNxetZSH/nb3TEgrb+y5B8cgCY8lITmbQDttAac2zC+
 3fCxNmBtsUMuAbBlCBlRtz3Nu9Z4or8Y0+iUg37qcUUXct2Pqa6n5knZ8bAe01KOvKG/P38OVdy8
 qojYqzSxUgWWYC26hans0XL2jG6weehGpb2Uwl47ACUpQE51AYZSHbE19hCIy/aOXnsLxUe1EuCS
 YVQY47Xv9DTYGzMIIuYIjzwzoldECvxBvMnQgij8CUYnmc3xgjQkwli9EhC2+C//ZYA0ErWrBW1v
 +p+M7gIgW5V/rjY7PtSLYvwAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDktMjlUMTc6NDQ6MDYr
 MDA6MDD2LgAaAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTA5LTI5VDE3OjQ0OjA2KzAwOjAwh3O4
 pgAAAABJRU5ErkJggg==
X-Now-Playing: The Notwist's _Neon Golden_: "Neon Golden"
Date: Wed, 29 Sep 2021 20:01:51 +0200
In-Reply-To: <1cf60c2c-7ecc-631b-22c3-6d779476aeeb@HIDDEN> (Jim Porter's
 message of "Wed, 29 Sep 2021 10:59:04 -0700")
Message-ID: <875yuj8dm8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Jim Porter <jporterbugs@HIDDEN> writes: > Perhaps something
    akin to `font-lock-global-modes'? The help text for > that says: > >> If
    nil, means no modes have Font Lock mode automatically turned on. >> If t,
    all modes that support Font Lo [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50895
Cc: 50895 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jim Porter <jporterbugs@HIDDEN> writes:

> Perhaps something akin to `font-lock-global-modes'? The help text for
> that says:
>
>> =EF=BB=BFIf nil, means no modes have Font Lock mode automatically turned=
 on.
>> If t, all modes that support Font Lock mode have it automatically turned=
 on.
>> If a list, it should be a list of =E2=80=98major-mode=E2=80=99 symbol na=
mes for
>> which Font Lock
>> mode should be automatically turned on.  The sense of the list is
>> negated if it
>> begins with =E2=80=98not=E2=80=99.

Ah, right -- I thought I remembered that we had some kind of
functionality for minor modes like this, but couldn't remember the
specifics.

> Then the default value for `show-paren-global-modes' could be
> `(prog-mode)' or `(prog-mode text-mode)', or even `(not
> special-mode)', depending on one's opinions about whether
> `show-paren-mode' makes sense for prose. That would cover both this
> bug as well as providing an easy way for users to customize the major
> modes where `show-paren-mode' is enabled (this is already possible
> with `show-paren-local-mode', but it'd be a bit simpler with
> `show-paren-global-modes').

Yes, that makes sense to me.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 29 Sep 2021 17:59:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 13:59:15 2021
Received: from localhost ([127.0.0.1]:50163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVdrO-0008PP-U0
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 13:59:15 -0400
Received: from mail-pj1-f50.google.com ([209.85.216.50]:46809)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1mVdrM-0008P8-MR
 for 50895 <at> debbugs.gnu.org; Wed, 29 Sep 2021 13:59:13 -0400
Received: by mail-pj1-f50.google.com with SMTP id
 me3-20020a17090b17c300b0019f44d2e401so566024pjb.5
 for <50895 <at> debbugs.gnu.org>; Wed, 29 Sep 2021 10:59:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=subject:to:cc:references:from:message-id:date:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=3bvriek/WZ5fQKYVSffkosoCG6NRgTDgwBKTkRm4kyk=;
 b=bBm1jwopYNLYQXTRT5x8JWr/UiXHbAzgfZEG3Bx3Dup0mP4mZWioAYXjbiIPEEjcRL
 Co0dQWW6TtCZATvs5iVLJOJvqj2jnpQaNpRNmYAjxBAYQS3n7kMNfrrhVxt6sHEPwdYv
 Ee8eSFMyw5hXViflV0Zdm0+gJcMWug2X946H/ziq+7enhHLKAEiKuMF09qAoIpEFcfk1
 FXZ/SiSupoQL3/ftn33dRf2BIeZMM7p1TqWkEvDTqyNhXWs9DJFPLUDkK7Yzg2wddm3j
 M5t2+VG9LlG6GOfVFIibT9V+7iXXn2HAw54W4quPMt3fPlbsSeDX+8LTvQEXXNWK7um1
 X+TA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=3bvriek/WZ5fQKYVSffkosoCG6NRgTDgwBKTkRm4kyk=;
 b=PXxDKo2F5QCogCJsap2toMDmo/ES5gad3mfKg8q/MbgqyKsqlAFyBbGq37XQcnTImG
 rl4bJ/QUYHBHB48KRg8BKHrQqTTAmZ+RphFIWmJuYy/R/v2j8+ajR1JzJlwfcPTfFi7R
 EoKs2PN+7CPs5NjC4Di9ukUXHy+AwQv/oxZW1AM8LgLFDkfFEQMZMswi/+4rVPB3U32e
 2LNAE3td21GG3LZzIQyaIf/9zHHbVcPbYGncEFgkgJMp3nKPZ+E1OIPkq6CnIlH91lR1
 GOr+EFuN4LrsFVipnkBzKTdnYwSc5OaoMtUorCnWZ3H6kaIj66DTn0voxjlGH9VnECAd
 pH3A==
X-Gm-Message-State: AOAM532OBhCiQVoXGBa6SEAFoewNWkrPTORvHW3rbd8GspmnVlHxLIdQ
 Ki0zx18+ugyqptxlW6sW60M=
X-Google-Smtp-Source: ABdhPJzktMivSQ6nEI+yupEv/hvu+JLm2j3aqQpf7AGTbh/KyqmDP0IqdB57CwVJzsFC8KljRrRNxw==
X-Received: by 2002:a17:90b:4b4b:: with SMTP id
 mi11mr7793766pjb.41.1632938346728; 
 Wed, 29 Sep 2021 10:59:06 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233])
 by smtp.googlemail.com with ESMTPSA id nk12sm2583436pjb.5.2021.09.29.10.59.05
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 29 Sep 2021 10:59:06 -0700 (PDT)
Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes
To: Lars Ingebrigtsen <larsi@HIDDEN>, 50895 <at> debbugs.gnu.org
References: <87fstn8fak.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <1cf60c2c-7ecc-631b-22c3-6d779476aeeb@HIDDEN>
Date: Wed, 29 Sep 2021 10:59:04 -0700
MIME-Version: 1.0
In-Reply-To: <87fstn8fak.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50895
Cc: Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 9/29/2021 10:25 AM, Lars Ingebrigtsen wrote:
> I think defaulting show-paren-mode to "on" is a good change in general,
> but it's distracting in some modes.  For instance, when presenting data
> in a buffer, having point flash around when moving around in the buffer
> is not what most people will want.
> 
> (Think Gnus buffers, *Help* buffers, etc.)
> 
> Some people have been using this mode for years, though, and are fine
> with the cursor bopping around when trying to read data, so
> force-disabling it in (say) `special-mode' isn't quite the answer,
> either.
> 
> Does anybody see a way to enable it by default in non-special buffers
> only, but not explicitly switching it off in special-mode buffers for
> those that want it?

Perhaps something akin to `font-lock-global-modes'? The help text for 
that says:

> If nil, means no modes have Font Lock mode automatically turned on.
> If t, all modes that support Font Lock mode have it automatically turned on.
> If a list, it should be a list of ‘major-mode’ symbol names for which Font Lock
> mode should be automatically turned on.  The sense of the list is negated if it
> begins with ‘not’.

Then the default value for `show-paren-global-modes' could be 
`(prog-mode)' or `(prog-mode text-mode)', or even `(not special-mode)', 
depending on one's opinions about whether `show-paren-mode' makes sense 
for prose. That would cover both this bug as well as providing an easy 
way for users to customize the major modes where `show-paren-mode' is 
enabled (this is already possible with `show-paren-local-mode', but it'd 
be a bit simpler with `show-paren-global-modes').




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.

Message received at 50895 <at> debbugs.gnu.org:


Received: (at 50895) by debbugs.gnu.org; 29 Sep 2021 17:57:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 13:57:40 2021
Received: from localhost ([127.0.0.1]:50158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVdps-0008Ma-Ff
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 13:57:40 -0400
Received: from mx0a-00069f02.pphosted.com ([205.220.165.32]:27738)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1mVdpp-0008MP-RZ
 for 50895 <at> debbugs.gnu.org; Wed, 29 Sep 2021 13:57:39 -0400
Received: from pps.filterd (m0246627.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 18THVKZw002196; 
 Wed, 29 Sep 2021 17:57:36 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=Gmw9nyetLLB1lsxDDB2YmOs5vQIVyK5cNVVcQRzHLjk=;
 b=G9XqJp9w85ECkvZqh2ONe69AP85/jJHkDqUKrokQvzOqUSyptN4hlfJMx268+WZ1MLwj
 j1QAuzfmdAt+bt0YZh3pqTjmkRNV33wisLrO+licnqqLo8aT4wXRQZ7zHQFuCpRs5Ako
 3mK2RPsVZKpZUzt97/632a7TUPJUjMh2BnxrwVDuioTJ0HNXrdOIspxAbMs/CUpnnzGl
 b9GH4huqUhDrjp1iHYAsb/Y63boHyotq2VJo6KTJnX4SfEXZcnamkyac85AOixx+6N5L
 +Lx7OGWPy2ESW10muRGTjrHji1WGwGlHt2arp3KK0hO5rRx/VrSEFT54PL1wwpNhTbiH XA== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by mx0b-00069f02.pphosted.com with ESMTP id 3bccc8ghcv-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 29 Sep 2021 17:57:32 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 18THoDbG195768;
 Wed, 29 Sep 2021 17:54:37 GMT
Received: from nam02-sn1-obe.outbound.protection.outlook.com
 (mail-sn1anam02lp2043.outbound.protection.outlook.com [104.47.57.43])
 by userp3020.oracle.com with ESMTP id 3bc3cemkcw-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 29 Sep 2021 17:54:36 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=PqbU9brWGeGZ7RktbuWLSIvHYLlBoUNSSLywaHPN0dFT13GWMPTNVbI8MavA2oAZcs2sY8EBRK//bZ8sdir7+xQvbQd05OjD+hEz+M0aZRVMqbkKPtCISRtWF/N0g9oJkPEe53CkA0qxkxwZTAX04g2TTYj1aVPhJV7kqAhx4UFy15OZBFOyblfO7TmUahuAeZPQzXiVlI+yXd+mpMWh2BbVOV/kA9myBGFACwgO5oBxz1aDKZIHANvfmKAQTEI/CzoSFvmesf7jI0MsLYcBC0BSFcCimRGc9rXkacjgY9BVFuhNCXkDRy1eudzvOQaqy5noQEJLgyDWPuT6260ndg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version; 
 bh=Gmw9nyetLLB1lsxDDB2YmOs5vQIVyK5cNVVcQRzHLjk=;
 b=gqFI0tYJSJIPn4YsLdIJGEX4dkXQ6OyIBHH1opNsQ/Vs8ZCXb5ZOH+A0CsoIa5eu9zQEYAR6qXTjKXYcCJMDHm2S5SelY9Lmi4Sj8fQ1Ikx7LQMU+4dAWNF6fwSSnmVdwfbwY65bcpudvu0uHQIBvIqPaQUJZzPxf/SB5WUSNOmOYaB9Uw/TFy+7q8RWCuxrHJPkt22o2Src3ZH9reGxa1/cS+itsshvuqrjJAFdipwicAEV1SuTabSqVHaZipPlxpMJ3cfrq4HIgTlbjW8eHzjQMU7XY+GhS5KT4HrWNXchVXQMU5jhxLEvOKFlR6+nYyE7cvLMPd8gZ7TlAfyjOg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=Gmw9nyetLLB1lsxDDB2YmOs5vQIVyK5cNVVcQRzHLjk=;
 b=roe/X1JbmkvHX6kXyywSd2w1C2jjRNUeIIyhcCGaggblVB2cu51ZRQwexcXlyGOmoReXq67n4VkTKqVOHq6NziV1du//67K7cazbESC4zIwRpd5fEG7OvCnVCMijU2J8EhnjekqjhiZX8b4ck4Z9zO7LKGDrs7ITql3zWISY12Y=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by SJ0PR10MB5645.namprd10.prod.outlook.com (2603:10b6:a03:3e2::22)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4523.17; Wed, 29 Sep
 2021 17:54:35 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82%9]) with mapi id 15.20.4544.021; Wed, 29 Sep 2021
 17:54:35 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, "50895 <at> debbugs.gnu.org"
 <50895 <at> debbugs.gnu.org>
Subject: RE: [External] : bug#50895: 28.0.50; show-paren-mode is distracting
 in some modes
Thread-Topic: [External] : bug#50895: 28.0.50; show-paren-mode is distracting
 in some modes
Thread-Index: AQHXtVmNxCrpoUMlBUC4hOfvJ/jDUau7SHvQ
Date: Wed, 29 Sep 2021 17:54:35 +0000
Message-ID: <SJ0PR10MB5488554346FD5B8248942703F3A99@HIDDEN>
References: <87fstn8fak.fsf@HIDDEN>
In-Reply-To: <87fstn8fak.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnus.org; dkim=none (message not signed)
 header.d=none;gnus.org; dmarc=none action=none header.from=oracle.com;
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 06de38db-c48f-4458-6137-08d9837232e5
x-ms-traffictypediagnostic: SJ0PR10MB5645:
x-microsoft-antispam-prvs: <SJ0PR10MB56453111A3C040F9DA2D857CF3A99@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:8273;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: r8osey0JEmPO1N7EY3Iw4QZW3YsZx6eIYTkVMOEvLlT61I/z84dSbQLkJIT/2FuDSP9z+NBO1ebGcEX85sh+vFdj8dHaHowTCXZKje8SM41hRzbEiDQL/05WuMRxSetjBQqntmQxXfLf6Ivq327nGw9a2GZK9sMYSwreOyw88HaYEQAvxRIh1bWGYyKtDa5M+Fhn8N6TbY5970Y7pHSKx4vS2yooD3Ec/+jeocyCweOlDAicsZVCwhNJ+DpUAIjRrrVpq5ERuPNm+5xx0rPwt6f4ssMuSAap5yIcm6rRDY6hIkEKvLsHXNnZ3EGHBPKomvdk5cBxqfszo3dneFqHOq2L+yOuSnNiVmVsH53p67AGDzhBZtoGGxYHKPS33/fJTPP2yfrJuEx3dHrB/BLKV202970NWyP1e/swaQjPe3SVlUxdTzQQWfyTXXoSxgft9lQx2MSLjcemKorDUZNVecB0/X8MS9hvCPWHJ9kkJlMhJTAvlXgmpuJseDDVeC5Zr2S8rrtG87gglwe6etGPq3VkLIzk3NH8ikHo6ISWb1cOT/Bb6XyUTq2dal/yi6SREQP2NsE7NAiQc2O5JuCwFbjip3ILmD6czTRHCRxA5V7V4Q2KCUOytjKZk0v920ZN9Q3AXsAFZe/YUgRoldivaAbpiho9Zv1f9ZpxzprcWLQXXP4pumnqCB+x6p0+PczVRA5wRBL+M0p9Nfx5D0T1tA==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(6506007)(2906002)(71200400001)(508600001)(55016002)(66946007)(5660300002)(33656002)(110136005)(86362001)(7696005)(316002)(4326008)(44832011)(52536014)(9686003)(38070700005)(76116006)(8936002)(66476007)(66556008)(8676002)(186003)(4744005)(66446008)(64756008)(122000001)(26005)(38100700002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?CEsHKyzIHp5ErtMcWW67PiNfrXndDdx2c5OegHhSiwKRtpV/OWt8HSMXDx+o?=
 =?us-ascii?Q?tq+OQy/NuoVrJnZC8hXPNGz8OeVn5ypy3aXEG6/8Wa0IsrkLKYktnUl3Bo50?=
 =?us-ascii?Q?yWz1+VFl91n1PSgFjYp8AdPqyXOEuZKm8yDc1/nFc2UNIDzaP/JIx+MRCmnO?=
 =?us-ascii?Q?QxVDOoS5i3h16IJ4GcerI4hRMAORVlQImq84+10KGeCVP2yxQDN10wwogmDD?=
 =?us-ascii?Q?aVGkk/grSmDcktMVUs46UelHz0mzxsPuygnaMBj7Bpkc0fL94NINlz9/TIqb?=
 =?us-ascii?Q?THKbHfhpI5j1OnwIwmNXN1eNZooBiDgFuHF3nTHrkdSJh72VCVhzkQdgyT8u?=
 =?us-ascii?Q?L1pXRrTFaOt30nTBIP91nB7u0yZnDZqAidh26y3eD1+JxrGb+wPgnskFWzd2?=
 =?us-ascii?Q?JNN0MEj/gC2lx6kbfxYMgU92O5ZxWQf3EG/hdrKhZX4s5WJvmbP+39YSusOb?=
 =?us-ascii?Q?stDLyxYTqSkY8dEthdnLmg+1bbTEVey1CAPRzjr6Gzo/gQYrNfNXBB3bF3eT?=
 =?us-ascii?Q?t4iXYs1mP6VafWlniAko5EC7s6dwIeytEBhczKtqJAP2FAeuPIR9E/evNHHc?=
 =?us-ascii?Q?TlEO55sTZqMi/qkoDUU8Y4STQSULQ5YguvTHIFsA4x2ESZaUnXoeVmv34fAZ?=
 =?us-ascii?Q?0U9i9CVuBMvyqleGdeo9dopsKEvmHP3sHZL0CSE6ZTdC/2hrUiH4vy/YoTQF?=
 =?us-ascii?Q?88E4+SkH/qbwGfjpJFA9HFWJY6eYmrAHOikxZxm56uhObZ1wACXMaO/N3ZVg?=
 =?us-ascii?Q?8eB6E8E2vVACBpEeHjR9cCN1wQ0iYwK0nHleN52Wqvp5kPYQK9VslYxYUzgw?=
 =?us-ascii?Q?K8g3zllpgCVLz0+4Tq2I4Gl95QZFGL63MCoTRTGvdQSrZdfAEGrbvXqlAOVK?=
 =?us-ascii?Q?qMNpRd5z5jZkDkGykvnl8visdMEoBAk6bKYLaCIZMPU5VtCLFBIoaqdS4iSH?=
 =?us-ascii?Q?Bp2q6r+zGhJujfEIxyVIseqsBgMUPv+usLUEYKfMILy+t6t2WtVMu8yhNyJE?=
 =?us-ascii?Q?Q90HtipYlLOQNp6b8AnXuzNP0mmMLjZiNs1k8OSLKVif+2FLu22kVRDlAhsR?=
 =?us-ascii?Q?TKDXrqeIr8K1Y/yxAmqRwvx+V1fCBcVhdhmfd5fWVr4cqQBOrSmDOVCRnBE8?=
 =?us-ascii?Q?vM6JV7ITbGmwPRyQyduK+M2DfhMRmMu5TeD3GgThpRCFPXFfx2boFMguLNiN?=
 =?us-ascii?Q?Coul8MFw62lvTW2tMEtdujLOV2sj27r2ECZI24c8P9lX7RzLuNEk+9Rvv1SA?=
 =?us-ascii?Q?O/zNFY+4AxAik5d+3BLbk5ARFcBOgUcX6cAG50kqUFLza0prLsCM9LdEVztp?=
 =?us-ascii?Q?TeKj2bADcLXQwGGMb1EvTjOZ?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 06de38db-c48f-4458-6137-08d9837232e5
X-MS-Exchange-CrossTenant-originalarrivaltime: 29 Sep 2021 17:54:35.1974 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: dxfYStM/fy9e96q9jsCkRxw6lHqS5+7wXWb0Kd4juZMkeJt8tziWU89JJYCevN21f1zF4Or7iE6e8hQH4hcE2g==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SJ0PR10MB5645
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10122
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 mlxscore=0 mlxlogscore=641
 phishscore=0 bulkscore=0 suspectscore=0 malwarescore=0 spamscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2109230001
 definitions=main-2109290102
X-Proofpoint-GUID: yrxJLtpfSLcaOf2OLZryUpHo6CQh0ifI
X-Proofpoint-ORIG-GUID: yrxJLtpfSLcaOf2OLZryUpHo6CQh0ifI
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50895
Cc: Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> I think defaulting show-paren-mode to "on" is a good
> change in general, but it's distracting in some modes.

Sounds like a user opinion.  Users can turn it
on or off wherever they like.

If you turn it off automatically in some modes
for everyone, then you break the behavior for
users who have customized to turn it on (globally).

Why do that?

If you think now that it should be on globally
by default, then change it to on.  That will
break the default behavior for users who've
enjoyed it being off globally by default.

But if you change the default globally to on,
AND you change it to off in some modes where
you happen to think it's distracting, then you
oblige both users who enjoyed it off by default
(globally) AND users who (by customizing)
enjoyed it being on globally to customize Emacs
to adjust to your change.

Remember that `show-paren-mode' is not just
about flashing things.  It's also (and mostly)
about just highlighting parens.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.
Forcibly Merged 50894 50895. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Sep 2021 17:25:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 13:25:54 2021
Received: from localhost ([127.0.0.1]:50095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVdL7-0005I3-Tb
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 13:25:54 -0400
Received: from lists.gnu.org ([209.51.188.17]:44532)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mVdL3-0005Hs-EB
 for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 13:25:51 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47364)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1mVdL2-0006Kf-UR
 for bug-gnu-emacs@HIDDEN; Wed, 29 Sep 2021 13:25:49 -0400
Received: from quimby.gnus.org ([2a01:4f9:2b:f0f::2]:49750)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1mVdL1-0000cG-AG
 for bug-gnu-emacs@HIDDEN; Wed, 29 Sep 2021 13:25:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:Subject:Cc:To:From:
 Sender:Reply-To:Content-Transfer-Encoding:Content-ID:Content-Description:
 Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:
 In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=WXqOhK73vvWRCDh2UvMf8btsw1zLFr8C4CNEyACRZcE=; b=AsX2DZYTyyYtX1gRh07E4/CpUH
 BLXzXf/rW66RDhUKlSDApcGaAx68TpNJVtmRKyYWHlGGliAq8F29MwgGRhuorh4+3yZSJtrkhiVcu
 KMnZQMkgCYIlvmrSrfJtlGk0wvPa8R5EJd74ujKmMv5R1it366/1yJJ/Xo3y0uuF4bRk=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mVdKv-0003I0-GX; Wed, 29 Sep 2021 19:25:44 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; show-paren-mode is distracting in some modes
X-Now-Playing: The Notwist's _Pick Up The Phone_: "Red Room"
Date: Wed, 29 Sep 2021 19:25:39 +0200
Message-ID: <87fstn8fak.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: I think defaulting show-paren-mode to "on" is a good change
 in general, but it's distracting in some modes. For instance, when presenting
 data in a buffer, having point flash around when moving around [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
Received-SPF: pass client-ip=2a01:4f9:2b:f0f::2; envelope-from=larsi@HIDDEN;
 helo=quimby.gnus.org
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


I think defaulting show-paren-mode to "on" is a good change in general,
but it's distracting in some modes.  For instance, when presenting data
in a buffer, having point flash around when moving around in the buffer
is not what most people will want.

(Think Gnus buffers, *Help* buffers, etc.)

Some people have been using this mode for years, though, and are fine
with the cursor bopping around when trying to read data, so
force-disabling it in (say) `special-mode' isn't quite the answer,
either.

Does anybody see a way to enable it by default in non-special buffers
only, but not explicitly switching it off in special-mode buffers for
those that want it?


In GNU Emacs 28.0.50 (build 23, x86_64-pc-linux-gnu, GTK+ Version 3.24.24, cairo version 1.16.0)
 of 2021-09-26 built on elva
Repository revision: 43ae8c828d853382bbc2a27b9e14b9fff6ba18b6
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Acknowledgement sent to Lars Ingebrigtsen <larsi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50895; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 5 Oct 2021 23:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.